<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Registry;

class MailConfiguration implements MailConfigurationInterface
{
    private readonly string $mailCode;

    private readonly array $variables;

    public function __construct(string $mailCode, array $variables)
    {
        $this->mailCode = $mailCode;
        $this->variables = $variables;
    }

    public function getMailCode(): string
    {
        return $this->mailCode;
    }

    public function getVariables(): array
    {
        return $this->variables;
    }
}
